Retail Express API 2.1

Gets Country by id

Gets Country by id

get
https://api.retailexpress.com.au/v2.1/countries/{id}

Path Parameters

idinteger(int32)required

Country id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Country

Country

CountryVM Model

* Additional properties are NOT allowed.
idinteger | null(int32)

id

codestring | null

code

namestring | null

name

tax_ratenumber(double)

tax_rate

tax_labelstring | null

tax_label

currency_multipliernumber(double)

currency_multiplier

fob_currencyobject

Currencies model

* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring(date-time)

Modified on

get/countries/{id}
 
application/json

creditnotes

Search Credit Notes by parameters

Search Credit Notes by parameters

get
https://api.retailexpress.com.au/v2.1/creditnotes

Query Parameters

idsstring | null

Сredit note Ids. (comma separated)
Other properties are skipped, if used.
Example: 2,3,4

supplier_return_idsstring | null

Supplier Return Ids. (comma separated)
Example: 2,3,4

outlet_idsstring | null

Outlet Ids. (comma separated)
Example: 2,3,4

supplier_idsstring | null

Supplier Ids. (comma separated)
Example: 1,2,3

supplier_referencestring | null

Supplier reference.

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

filter_bystring | null

Filter by.
Available field name values: id, supplier_return_id, supplier, outlet, supplier_reference, total_credit_quantity, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, supplier_credited_on.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432

order_bystring | null

Order by.

Available field name values: id, supplier_return_id, supplier, outlet, supplier_reference, total_credit_quantity, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname, supplier_credited_on.

Available direction values: asc, desc.

Example: id asc, supplier_return_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Credit Notes returned successfully

CreditNote.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/creditnotes
 
application/json

Get Credit Note by id

Get Credit Note by id

get
https://api.retailexpress.com.au/v2.1/creditnotes/{id}

Path Parameters

idinteger(int32)required

Credit Note id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Credit Note

CreditNote

Credit Note model

* Additional properties are NOT allowed.
idinteger | null(int32)

Credit Note id

supplier_return_idinteger | null(int32)

Supplier Return id

supplierobject
* Additional properties are NOT allowed.
Show Child Parameters
outletobject
* Additional properties are NOT allowed.
Show Child Parameters
supplier_referencestring | null

Supplier reference

>= 0 characters<= 50 characters

include_taxboolean | null

Include tax

Default:false

rounding_adjustmentnumber(double)

Rounding Adjustment

total_credit_quantityinteger(int32)

Total credit quantity

total_credit_amount_exnumber(double)

Total Credit Amount Ex

total_credit_amount_taxnumber(double)

Total Credit Amount Tax

total_credit_amount_incnumber(double)

Total Credit Amount Inc

total_applied_credit_quantityinteger(int32)

Total Applied Credit Quantity

total_applied_credit_amount_exnumber(double)

Total Applied Credit Amount Ex

total_applied_credit_amount_incnumber(double)

Total Applied Credit Amount Inc

total_applied_credit_taxnumber(double)

Total Applied Credit Tax

created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

supplier_credited_onstring | null(date-time)

Supplier Credited On

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
get/creditnotes/{id}
 
application/json

Searches Credit Note Items by parameters

Searches Credit Note Items by parameters

get
https://api.retailexpress.com.au/v2.1/creditnotes/{id}/creditnoteitems

Query Parameters

supplier_return_item_idsstring | null

Supplier Return Item id or collection of Supplier Return Item id (comma separated)
Example: 1,3,72,12

created_sincestring | null(date-time)

Created since

modified_sincestring | null(date-time)

Modified since

order_bystring | null

Order by.

Available field name values: id, credit_note_id, supplier_return_item_id, product_id, supplier_sku, manufacturer_sku, supplier_sku2, short_description, size, colour, credit_quantity, credit_amount_ex, total_credit_amount_ex, total_credit_amount_tax, total_credit_amount_inc, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname.

Available direction values: asc, desc.

Example: id asc, credit_note_id desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Credit Note id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Credit Note Items returned successfully

CreditNoteItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Credit Note model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/creditnotes/{id}/creditnoteitems
 
application/json